/* eslint-disable max-len */
import React, { SVGProps } from "react";

import styles from "@/icons/IconFills.module.scss";
import { IiCon } from "@/types/IconInterface";

export const EyeOffIcon = ({ color, width = "24px", height = "20px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 24 20"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            d="M2.33594 1.22412L6.27344 4.28271C7.85547 3.0874 9.82422 2.13818 12.25 2.13818C15.0625 2.13818 17.3477 3.43896 19 4.98584C20.6523 6.49756 21.7422 8.32568 22.2695 9.59131C22.375 9.87256 22.375 10.189 22.2695 10.4702C21.8125 11.5952 20.8633 13.2124 19.457 14.6187L23.1484 17.5366C23.5352 17.8179 23.6055 18.3452 23.2891 18.6968C23.0078 19.0835 22.4805 19.1538 22.1289 18.8374L1.31641 2.5249C0.929688 2.24365 0.859375 1.71631 1.17578 1.36475C1.45703 0.978027 1.98438 0.907715 2.33594 1.22412ZM7.64453 5.37256L9.26172 6.63818C10.0703 5.93506 11.0898 5.51318 12.25 5.51318C14.7109 5.51318 16.75 7.55225 16.75 10.0132C16.75 10.7866 16.5742 11.4897 16.2227 12.0874L18.1211 13.564C19.3516 12.3687 20.1953 10.9976 20.6172 10.0132C20.1602 8.9585 19.2109 7.48193 17.8398 6.21631C16.3984 4.88037 14.5352 3.82568 12.25 3.82568C10.457 3.82568 8.94531 4.4585 7.64453 5.37256ZM14.8516 11.0327C14.9922 10.7163 15.0625 10.3647 15.0625 10.0132C15.0625 8.46631 13.7969 7.20068 12.25 7.20068C12.2148 7.20068 12.1797 7.20068 12.1797 7.20068C12.2148 7.41162 12.25 7.5874 12.25 7.76318C12.25 8.1499 12.1445 8.46631 12.0039 8.78271L14.8516 11.0327ZM16.6797 16.7632C15.3789 17.4663 13.9023 17.8882 12.25 17.8882C9.40234 17.8882 7.11719 16.6226 5.46484 15.0757C3.8125 13.5288 2.72266 11.7007 2.19531 10.4702C2.08984 10.189 2.08984 9.87256 2.19531 9.59131C2.54688 8.78271 3.10938 7.76318 3.91797 6.7085L5.21875 7.76318C4.58594 8.57178 4.12891 9.38037 3.84766 10.0132C4.33984 11.0679 5.25391 12.5796 6.625 13.8452C8.06641 15.1812 9.92969 16.2007 12.25 16.2007C13.3047 16.2007 14.2891 15.9897 15.2031 15.603L16.6797 16.7632ZM13.5859 14.3374C13.1641 14.4429 12.707 14.5132 12.2148 14.5132C9.75391 14.5132 7.71484 12.5093 7.71484 10.0132C7.71484 9.94287 7.75 9.8374 7.75 9.73193L9.71875 11.2788C10.0703 12.0171 10.7734 12.5796 11.6172 12.7554L13.5859 14.3374Z"
            fill={fill}
        />
    </svg>
);
